# General Translation Platform: Скачать несколько файлов
URL: https://generaltranslation.com/ru/docs/platform/openapi/reference/files/download-many.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Скачайте до 100 исходных или переведённых файлов одним запросом. Справочник API для «Скачать несколько файлов».

{/* Этот файл был сгенерирован Fumadocs. Не редактируйте этот файл напрямую. Любые изменения следует вносить, повторно запустив команду генерации. */}

## Endpoint

`POST https://api.gtx.dev/v2/project/files/download`

**Operation ID:** `downloadFiles`

**Tags:** `Files`

**Summary:** Download multiple files

Download up to 100 source or translated files in one request.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object[]):
- `fileId` (string, required)
- `branchId` (string)
- `versionId` (string)
- `locale` (string)
- `useLatestAvailableVersion` (boolean)

### Responses

**200**: Downloaded files
Response body (`application/json`, object):
- `files` (object[], required)
  - `id` (string, required)
  - `branchId` (string, required)
  - `fileId` (string, required)
  - `versionId` (string, required)
  - `locale` (string)
  - `fileName` (string)
  - `data` (string, required)
  - `metadata` (object, required)
    - `<key>` (string | number | boolean | null | string | number | boolean | null | object[] | object | null[] | object, dynamic key)
  - `fileFormat` ("GTJSON" | "MDX" | "JSON" | "YAML" | "MD" | "TS" | "JS" | "HTML" | "TXT" | "PO" | "POT" | "TWILIO_CONTENT_JSON" | "LOTTIE" | "SVG" | "XCSTRINGS" | "DOT_STRINGS" | "DOT_STRINGSDICT" | "ANDROID_STRINGS", required)
- `count` (number, required)
- `pending` (object[])
  - `branchId` (string, required)
  - `fileId` (string, required)
  - `locale` (string, required)
  - `versionId` (string, required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
